View Issue Details

IDProjectCategoryView StatusLast Update
0038996FPCDocumentationpublic2021-06-19 12:15
Reporterravi dion Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.1 
Fixed in Version3.3.1 
Summary0038996: Variant not listed as managed type
Description"Variants are managed types. They're owned by the compiler's reference-counting system and don't need to be freed manually."
https://stackoverflow.com/questions/897371/in-delphi-2009-do-i-need-to-free-variant-arrays

but the FPC documentation doesn't list it as this, see https://www.freepascal.org/docs-html/ref/refse20.html
TagsNo tags attached.
Fixed in Revision1859
FPCOldBugId
FPCTarget3.2.2
Attached Files

Activities

Michael Van Canneyt

2021-06-13 06:09

administrator   ~0131275

Fixed, thanks for reporting !

Issue History

Date Modified Username Field Change
2021-06-12 22:29 ravi dion New Issue
2021-06-12 22:30 ravi dion Status new => assigned
2021-06-12 22:30 ravi dion Assigned To => Michael Van Canneyt
2021-06-13 06:09 Michael Van Canneyt Status assigned => resolved
2021-06-13 06:09 Michael Van Canneyt Resolution open => fixed
2021-06-13 06:09 Michael Van Canneyt Fixed in Version => 3.3.1
2021-06-13 06:09 Michael Van Canneyt Fixed in Revision => 1859
2021-06-13 06:09 Michael Van Canneyt FPCTarget => 3.2.2
2021-06-13 06:09 Michael Van Canneyt Note Added: 0131275
2021-06-19 12:15 ravi dion Status resolved => closed